<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: functions.php
| Author: FDTD Designer
| Co-author: Johan Wilson
| Theme: CyberEye
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Image changes
set_image("pollbar", THEME."images/poll.png");
set_image("printer", THEME."images/print.png");
set_image("edit", THEME."images/pen.png");
set_image("up", THEME."images/arrow-up.png");
set_image("down", THEME."images/arrow-down.png");
set_image("left", THEME."images/arrow-left.png");
set_image("right", THEME."images/arrow-right.png");
set_image("move", THEME."images/move.png");
set_image("panel_on", THEME."images/panel_on.png");
set_image("panel_off", THEME."images/panel_off.png");

// Forum icons
set_image("folder", THEME."forum/thread-normal.png");
set_image("foldernew", THEME."forum/thread-new.png");
set_image("folderhot", THEME."forum/thread-hot.png");
set_image("folderlock", THEME."forum/thread-locked.png");
set_image("stickythread", THEME."forum/thread-sticky.png");

// Forum actions
set_image("reply", "reply");
set_image("newthread", "newthread");
set_image("web", "web");
set_image("pm", "pm");
set_image("quote", "quote");
set_image("forum_edit", "forum_edit");

function showweeklynews() {
	global $locale;
	
	$result = dbquery(
		"SELECT news_id, news_subject, news_image_t2 FROM ".DB_NEWS."
		WHERE news_draft='0' AND ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().")
		AND (news_end='0'||news_end>=".time().") AND news_datestamp>='".(time() - 604800)."'
		ORDER BY news_reads DESC, news_datestamp DESC LIMIT 3"
	);
	$content = "<table cellpadding='0' cellspacing='1' width='100%' class='center'>\n<tr>\n";
	$content .= "<td colspan='2'><h1>".$locale['ce_007']."</h1></td>\n";
	if (dbrows($result)) {
		while ($data = dbarray($result)) {
			$news_thumb = (!empty($data['news_image_t2']) && file_exists(IMAGES_N_T.$data['news_image_t2']) ? IMAGES_N_T.$data['news_image_t2'] : THEME."images/clean-thumb.png");
			$content .= "</tr>\n<tr>\n";
			$content .= "<td class='weekly-news-thumb'><img src='".$news_thumb."' alt='' /></td>\n";
			$content .= "<td class='weekly-news-title'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."' title='".$data['news_subject']."'>".trimlink($data['news_subject'], 100)."</a></td>\n";
		}
	} else {
		$content .= "</tr>\n<tr>\n";
		$content .= "<td class='weekly-no-events' colspan='2'>".$locale['ce_008']."</td>\n";
	}
	$content .= "</tr>\n</table>\n";
	
	return $content;
}

function theme_output($output) {
	$search = array(
		"@><img src='reply' alt='(.*?)' style='border:0px' />@si",
		"@><img src='newthread' alt='(.*?)' style='border:0px;?' />@si",
		"@><img src='web' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='pm' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='quote' alt='(.*?)' style='border:0px;vertical-align:middle' />@si",
		"@><img src='forum_edit' alt='(.*?)' style='border:0px;vertical-align:middle' />@si",
		"@<a href='".ADMIN."comments.php(.*?)&amp;ctype=(.*?)&amp;cid=(.*?)'>(.*?)</a>@si",
		"@<div style='float:left; width:30px;'><img src='(.*?)arrow.png' alt='move' class='handle' /></div>@si"
	);
	$replace = array(
		' class="big button"><span class="reply-button icon"></span>$1',
		' class="big button"><span class="newthread-button icon"></span>$1',
		' class="medium button" rel="nofollow" title="$1"><span class="web-button icon"></span>Web',
		' class="medium button" title="$1"><span class="pm-button icon"></span>PM',
		' class="medium button" title="$1"><span class="quote-button icon"></span>$1',
		' class="medium button" title="$1"><span class="edit-button icon"></span>$1',
		'<a href="'.ADMIN.'comments.php$1&amp;ctype=$2&amp;cid=$3" class="big button"><span class="settings-button icon"></span>$4</a>',
		'<div style="float:left; width:30px;"><img src="'.get_image("move").'" alt="move" class="handle" /></div>'
	);
	$output = preg_replace($search, $replace, $output);

	return $output;
}
?>